Aggregate Observability Sessions
Aggregates the sessions data.
Required scopes: No scopes required.
Authorization
auth-token All the DevRev APIs require a token to authenticate the user. Provide Authorization: Bearer <TOKEN> as a header to every API request.
How do I find my token?
In: header
Request Body
application/json
"mobile" | "web"List of aggregation configurations. Each aggregation has a key field for identification.
To filter indexes by partition fields.
"mobile_custom_events" | "mobile_network" | "web_console" | "web_custom_events" | "web_event" | "web_network"Provides ways to specify date ranges on objects.
The unique app ID to which the session belongs.
text1 <= lengthFilter by app versions.
Provides ways to specify date ranges on objects.
Filter by device models.
Filter by exception occurrence.
Filter by anonymous users.
Filter by ANR occurrence.
Filter by crash occurrence.
Filter by device manufacturers.
Filter by network types.
Filter by OS versions.
Filter by rage tap.
Filter by Rev org.
Filter by Rev user.
Filter by screen name.
Filter by session attributes.
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://api.devrev.ai/observability.sessions.aggregate" \ -H "Content-Type: application/json" \ -d '{ "type": "mobile", "schema_type": "mobile_custom_events", "time_range": { "type": "preset" }, "version_key": "string" }'{
"aggregations": [
{
"key": "string",
"result_type": "bucket_results",
"buckets": [
{
"bucket_type": "bucket",
"doc_count": 18446744073709552000,
"key": null,
"sub_aggregations": [
{
"key": "string",
"result_type": "bucket_results",
"buckets": []
}
]
}
]
}
]
}{
"detail": "string",
"message": "string",
"type": "artifact_already_attached_to_a_parent",
"existing_parent": "string",
"is_same": true
}{
"detail": "string",
"message": "string",
"type": "dev_org_deactivated"
}{
"detail": "string",
"message": "string",
"type": "forbidden",
"object_ids": [
"string"
]
}{
"detail": "string",
"message": "string",
"type": "request_entity_too_large",
"max_bytes": 0
}{
"detail": "string",
"message": "string",
"type": "too_many_requests",
"retry_after": 0
}{
"detail": "string",
"message": "string",
"type": "internal_error",
"reference_id": "string"
}{
"detail": "string",
"message": "string",
"type": "service_unavailable"
}Send Notifications POST
Generate a notification.
Get Observability Sessions Data (POST) POST
Retrieves the recording data for a specific session ID and recording ID. For mobile sessions, requires both session_id and recording_id. For web sessions, requires both session_id and tab_id. **Required scopes:** No scopes required.